summarylogtreecommitdiffstats
path: root/cfengine.install
diff options
context:
space:
mode:
authorVanush Misha Paturyan2014-03-12 17:44:34 +0000
committerVanush Misha Paturyan2014-04-07 09:42:33 +0100
commitae17cdac22c5c38152d7f88995735fb327c012c7 (patch)
tree09138a77f77c26c160d1e4698966c8b8a81f5d30 /cfengine.install
parent1052302d0727a047ef9fbd68a20905be25bf92a9 (diff)
downloadaur-ae17cdac22c5c38152d7f88995735fb327c012c7.tar.gz
cfengine: using /var/cfengine instead of /var/lib/cfengine
creating symlins in /var/cfengine/bin auto-detecting optional dependencies during build adding 'acl' to list of optional dependencies
Diffstat (limited to 'cfengine.install')
-rw-r--r--cfengine.install19
1 files changed, 16 insertions, 3 deletions
diff --git a/cfengine.install b/cfengine.install
index f8eba1f0d57..fad7bbaca45 100644
--- a/cfengine.install
+++ b/cfengine.install
@@ -1,11 +1,24 @@
post_install() {
- if [ ! -f /var/lib/cfengine/ppkeys/localhost.priv ]; then
+ if [ ! -f /var/cfengine/ppkeys/localhost.priv ]; then
cf-key > /dev/null
fi
- if ! [ -f /var/lib/cfengine/masterfiles/promises.cf ]; then
- cp -R /usr/share/CoreBase/* /var/lib/cfengine/masterfiles/
+ if ! [ -f /var/cfengine/masterfiles/promises.cf ]; then
+ cp -R /usr/share/CoreBase/* /var/cfengine/masterfiles/
fi
+
+ if ! [ -f /var/cfengine/bin/cf-promises ]; then
+ cd /var/cfengine/bin
+ ln -s /usr/bin/cf-* .
+ fi
+
+ echo "Bootstrap cfengine with cf-agent --bootstrap <IP address of policy server>"
}
+post_remove() {
+
+ if [ -d /var/cfengine/bin ]; then
+ rm /var/cfengine/bin/*
+ fi
+}